SYSLOG-NG(8)

NAME
syslog-ng - logs system messages

SYNOPSIS

NOTE: This file is not up to date. Please refer to the html documentation.

syslog-ng [ -dFsvV ] [ -f <config-filename> ] [ -p <pid-filename> ] [ -C <chroot-dir> ] [ -u <user> ] [ -g <group> ]

DESCRIPTION

syslog-ng reads and logs messages to the system console, log files, other machines and/or users as specified by its configuration file.

The configuration file is read at startup and is reread after receipt of a hangup (HUP) signal. When reloading the configuration file, all destination files are closed and reopened as appropriate. For more information about the configuration file, see syslog-ng.conf(5).

Typically messages are sent to syslog-ng via a Unix domain socket (/dev/log) or via UDP, to port 514 or to whatever syslog/udp is defined to be in /etc/services. To receieve messages from the kernel, /dev/klog is opened for reading.

Messages sent to syslog-ng should be an entire line, prefixed by a priority code in between '<' and '>'. Definititions of the recognised values can be found in the include file <sys/syslog.h>.

syslog-ng can be configured to pass messages on to other syslog-ng's and when doing so, it sends the message on with the priority as a prefix.

It is not necessary to terminate a message with a line feed or carriage return.

OPTIONS

-C  <directory>, --chroot=<directory>
    Chroot to directory.

-d, --debug
    Set "debug mode". Prints out various messages to aid in debugging and stops it from becoming a daemon. To activate debugging in the yacc parser, either use this option twice or combine with -v.

-F, --foreground
    Don't fork into background.

-f  <filename>, --cfgfile=<filename>
    Instead of reading the normal /etc/syslog-ng/syslog-ng.conf file for configuration information, use the filename given instead.

-g  <group>, --group=<group>
    Switch to group.

-p  <filename>, --pidfile=<filename>
    Write the current PID information to the specified file. Defaults to /var/run/syslog-ng.pid.

-s, --syntax-only
    Only read and parse the configuration file. See also the option -f.

-u  <user>, --group=<user>
    Switch to user.

-v, --verbose
    Enable verbose mode. Process will not become a daemon. Prints out fewer messages, compared to -d.

-V, --version
    Print the version number.

DIAGNOSTICS
It is expected that syslog-ng will run as root, however, if not running on a priviledged port of it it owned its own log directories, etc, it might run as a non-root user.

SEE ALSO
syslog-ng.conf(5), logger(1), syslog(2), syslog(3), services(5), syslog.conf(5), klogd(8), syslogd(8), sysklogd(8)

FILES

/etc/syslog-ng/syslog-ng.conf
    Configuration file for syslog-ng. See syslog-ng.conf(5) for more information.

/var/run/syslog-ng.pid
    The file containing the process id of syslog-ng.

BUGS

If you find any, please send email to the syslog-ng mailing list at syslog-ng@lists.balabit.hu